Bug 11277 - Bootstrap theme: error in link for showing all facets
Summary: Bootstrap theme: error in link for showing all facets
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Frédéric Demians
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-20 14:33 UTC by mathieu saby
Modified: 2015-06-04 23:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (4.14 KB, patch)
2013-11-26 09:17 UTC, Frédéric Demians
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11277 Bootstrap theme facets doesn't work properly (4.59 KB, patch)
2013-12-12 22:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11277 Bootstrap theme facets doesn't work properly (4.18 KB, patch)
2013-12-12 23:34 UTC, Liz Rea
Details | Diff | Splinter Review
[PASSED QA] Bug 11277 Bootstrap theme facets doesn't work properly (4.63 KB, patch)
2013-12-14 19:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-11-20 14:33:29 UTC
The "show more" link under a facet list in Bootstrap theme is wrong.
It redirects to the advanced search.

M. Saby
Comment 1 Frédéric Demians 2013-11-26 09:05:05 UTC
In the same area, search result limitation on Library facet, doesn't work. It returns all biblio records of the selected library.
Comment 2 Frédéric Demians 2013-11-26 09:17:18 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2013-11-26 14:27:07 UTC
After applying this patch I find that the "show more" links work, but the "limit to available" link returns no results, and clicking any facet returns no results. I'm continuing to test.
Comment 4 Frédéric Demians 2013-11-26 15:04:48 UTC
(In reply to Owen Leonard from comment #3)
> After applying this patch I find that the "show more" links work, but
> the "limit to available" link returns no results, and clicking any
> facet returns no results. I'm continuing to test.

Thanks for testing. I confirm that for me on an UNIMAC-DB, this patch
solves the two bugs: (1) 'show more' facets, and (2) library limitation
facet--without breaking neither other facets selection, nor availability
restriction.

Do you confirm the two bugs before applying the patch? Is it solved with
the patch? And other facet selection were working?
Comment 5 Katrin Fischer 2013-12-12 22:00:07 UTC
I can confirm the bug and the patch seems to fix it nicely for me - testd on a MARC21 database on current master with German data. I made sure to try some facets with umlauts as well.

Owen, I am adding my sign-off here, but would feel better if you could take another look?
Comment 6 Katrin Fischer 2013-12-12 22:32:14 UTC Comment hidden (obsolete)
Comment 7 Liz Rea 2013-12-12 23:34:24 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2013-12-14 19:45:41 UTC
Created attachment 23558 [details] [review]
[PASSED QA] Bug 11277 Bootstrap theme facets doesn't work properly

Two errors:

  1. When selecting 'show more' above a facet, the advanced search page
     is displayed.
  2. When restricting search on a library facet, all the biblio records
     of this library are returned.

The patch fixes the way URL are encoded with TT filter. See that:

http://search.cpan.org/~abw/Template-Toolkit-2.25/lib/Template/Manual/Filters.pod#url

Signed-off-by: Liz Rea <liz@catalyst.net.nz>

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Patch works nicely. Tests done:
- 'More' link on facets redirects to advanced search before applying
  the patch. After appyling the link works correctly.
- In my tests, the facet links themselves worked nicely, limiting the
  search as expected.
- Availability search works ok for me with patch applied.
- Also made sure to click on some links containing diacricits (German
  umlauts).
Comment 9 Katrin Fischer 2013-12-14 19:47:15 UTC
The more links being broken is quite an annyoing bug - upping severity a bit. Liz signed off, so taking the liberty to change my sign off into a QA review :)
Comment 10 Galen Charlton 2013-12-15 18:58:42 UTC
Pushed to master.  Thanks, Frédéric!
Comment 11 Fridolin SOMERS 2014-01-27 11:21:59 UTC
Patches pushed to 3.14.x, will be in 3.14.3